summaryrefslogtreecommitdiffstats
path: root/system/apcupsd/apcupsd.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/apcupsd/apcupsd.SlackBuild')
-rw-r--r--system/apcupsd/apcupsd.SlackBuild131
1 files changed, 131 insertions, 0 deletions
diff --git a/system/apcupsd/apcupsd.SlackBuild b/system/apcupsd/apcupsd.SlackBuild
new file mode 100644
index 0000000000..6f110ed612
--- /dev/null
+++ b/system/apcupsd/apcupsd.SlackBuild
@@ -0,0 +1,131 @@
+#!/bin/sh
+
+# Slackware build script for apcupsd
+
+# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=apcupsd
+VERSION=3.14.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SNMP=${SNMP:-no} # Change to "yes" if you have net-snmp installed
+ # and wish to have support for SNMP
+
+# These can be changed in the config file after installing apcupsd,
+# so it's okay to leave them alone if you don't know what the values
+# should be yet.
+DEVICE=${DEVICE:-/dev/usb/hiddev0} # Device node of UPS
+UPSTYPE=${UPSTYPE:-usb} # Type of UPS
+UPSCABLE=${UPSCABLE:-usb} # Cable type (RJ45<-->USB == USB)
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+# The "--disable-install-distdir" is important - don't remove it
+# If you enable the distribution-specific install, then apcupsd will attempt
+# to patch the /etc/rc.d/rc.6 script on your system. This may be acceptable
+# from a single-user standpoint, but for packagers, it's not worth a crap.
+# If I'd wanted the Makefile tampering with things outside DESTDIR, I wouldn't
+# have used the DESTDIR flag - why is this so difficult to comprehend?
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sbindir=/sbin \
+ --mandir=/usr/man \
+ --localstatedir=/var \
+ --sysconfdir=/etc/apcupsd \
+ --disable-install-distdir \
+ --enable-cgi \
+ --with-cgi-bin=/etc/apcupsd \
+ --enable-usb \
+ --enable-powerflute \
+ --with-libwrap \
+ --enable-nls \
+ --enable-snmp=$SNMP \
+ --with-upstype=$UPSTYPE \
+ --with-upscable=$UPSCABLE \
+ --with-dev=$DEVICE \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ABOUT-NLS COPYING ChangeLog* DISCLAIMER Developers INSTALL ReleaseNotes \
+ VERIFYING examples doc/* $CWD/README-SLACKWARE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+find $PKG/usr/doc/$PRGNAM-$VERSION -name "Makefile*" -exec rm {} \;
+find $PKG/usr/doc/$PRGNAM-$VERSION -name "*.man" -exec rm {} \;
+
+# Install the apctest man page - it's not done automatically for some reason
+install -m 0644 doc/apctest.man $PKG/usr/man/man8/apctest.8
+
+# Install the apcupsd init script
+install -D -m 0755 platforms/slackware/apcupsd \
+ $PKG/etc/rc.d/rc.apcupsd.new
+
+# Create the /var/lock/subsys directory
+install -d -m 0755 $PKG/var/lock/subsys
+
+# Rename config files to *.new so custom changes aren't clobberred
+for i in apccontrol apcupsd.conf apcupsd.css changeme \
+ commfailure commok hosts.conf multimon.cgi multimon.conf \
+ offbattery onbattery upsfstats.cgi upsimage.cgi upsstats.cgi ; do
+ mv $PKG/etc/apcupsd/$i $PKG/etc/apcupsd/$i.new;
+done
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz